Skip to main content

Update a fulfillment user

PUT /v2/fulfillment/users/{user_id}

Updates a fulfillment user by its user_id, which is the same value your application provided in create user or create user and validate an address. Omitted or empty fields preserve the existing values.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters​

NameInTypeRequiredDescription
user_idpathstringRequired

The external ID of the user to update (as provided when the user was created).

Request​

FieldTypeRequiredDescription
first_namestringOptional

New first name for the user. Omitted or empty preserves the existing value.

last_namestringOptional

New last name for the user. Omitted or empty preserves the existing value.

phone_numberstringOptional

New phone number for the user. Omitted or empty preserves the existing value.

Request examples​

curl --request PUT \
--url 'https://connect.instacart.com/v2/fulfillment/users/{user_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"first_name": "string",
"last_name": "string",
"phone_number": "string"
}'

Response​

FieldTypeRequiredDescription
first_namestringRequired

The user's first name.

last_namestringOptional

The user's last name.

phone_numberstringOptional

The user's phone number.

Response examples​

200 Success

{
"first_name": "Jane",
"last_name": "Doe",
"phone_number": "+15551234567"
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400userNotFound"User Not Found"1001Not applicable
400invalidFirstName"First name is invalid"1001Not applicable
400invalidPhone"Phone is invalid"1001Not applicable
403userNotActive"User Not Active"Not applicable